Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.dom
Class DOMSender

    java.lang.Object
      net.sf.saxon.dom.DOMSender

All Implemented Interfaces:
  SourceLocator, LocationProvider, SaxonLocator, SourceLocationProvider, Locator

    public class DOMSender

extends Object
implements SaxonLocator, SourceLocationProvider

DOMSender.java: pseudo-SAX driver for a DOM source document. This class takes an existing DOM Document and walks around it in a depth-first traversal, calling a Receiver to process the nodes as it does so

Constructor Summary
`DOMSender()`

Method Summary
`int` | `getColumnNumber()`
`int` | `getLineNumber()`
`int` | `getLineNumber(int locationId)` Get the line number within the document or module containing a particular location
`String` | `getPublicId()`
`String` | `getSystemId()`
`String` | `getSystemId(int locationId)` Get the URI of the document or module containing a particular location
`void` | `send()` Walk a document (traversing the nodes depth first)
`void` | `setPipelineConfiguration(PipelineConfiguration pipe)` Set the pipeline configuration
`void` | `setReceiver(Receiver receiver)` Set the receiver.
`void` | `setStartNode(Node start)` Set the DOM Document that will be walked
`void` | `setSystemId(String systemId)` Set the systemId of the source document (which will also be used for the destination)

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMSender

    public DOMSender()

Method Detail

### setPipelineConfiguration

    public void setPipelineConfiguration(PipelineConfiguration pipe)

  Set the pipeline configuration

### setReceiver

    public void setReceiver(Receiver receiver)

  Set the receiver.

  Parameters:
    `receiver` - The object to receive content events.

### setStartNode

    public void setStartNode(Node start)

  Set the DOM Document that will be walked

### setSystemId

    public void setSystemId(String systemId)

  Set the systemId of the source document (which will also be used for the destination)

### send

    public void send()
              throws XPathException

  Walk a document (traversing the nodes depth first)

  Throws:
    `XPathException` - On any error in the document

### getColumnNumber

    public int getColumnNumber()

  Specified by:
    `getColumnNumber` in interface `SourceLocator`
  Specified by:
    `getColumnNumber` in interface `Locator`

### getLineNumber

    public int getLineNumber()

  Specified by:
    `getLineNumber` in interface `SourceLocator`
  Specified by:
    `getLineNumber` in interface `Locator`

### getPublicId

    public String getPublicId()

  Specified by:
    `getPublicId` in interface `SourceLocator`
  Specified by:
    `getPublicId` in interface `Locator`

### getSystemId

    public String getSystemId()

  Specified by:
    `getSystemId` in interface `SourceLocator`
  Specified by:
    `getSystemId` in interface `Locator`

### getSystemId

    public String getSystemId(int locationId)

  Description copied from interface: `LocationProvider`
  Get the URI of the document or module containing a particular location

  Specified by:
    `getSystemId` in interface `LocationProvider`
  Parameters:
    `locationId` - identifier of the location in question (as passed down the Receiver pipeline)
  Returns:
    the URI of the document or module.

### getLineNumber

    public int getLineNumber(int locationId)

  Description copied from interface: `LocationProvider`
  Get the line number within the document or module containing a particular location

  Specified by:
    `getLineNumber` in interface `LocationProvider`
  Parameters:
    `locationId` - identifier of the location in question (as passed down the Receiver pipeline)
  Returns:
    the line number within the document or module.

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.